
Name: kruler
Summary: KDE Screen Ruler
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and GFDL
URL: http://www.kde.org/applications/graphics/kruler
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel
BuildRequires: knotifications-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl


%description
KRuler displays on screen a ruler measuring pixels.
Features :
    - Integrated color picker
    - Change the length of the ruler
    - Change the orientation of the ruler
    - Change the color, transparency and font of the ruler

%files
%_kf5_bindir/kruler
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/kruler
%_kf5_iconsdir/*/*/*/kruler*
%_kf5_datadir/knotifications5/kruler.notifyrc
%_kf5_datadir/metainfo/org.kde.kruler.appdata.xml
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package handbook
Summary: Kruler handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides kruler handbook.

%files handbook
%doc %_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update

